Bug 36114 - Migrate packages to UCS 4.0
Migrate packages to UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Arvid Requate
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-09 20:44 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-09 20:44:05 CEST
The following packages should be migrated to UCS 4:

 management/univention-admingrp-user-passwordreset
 management/univention-ldap-overlay-memberof
 services/univention-bacula
 services/univention-check-printers
 services/univention-dansguardian
 services/univention-ftp
 services/univention-log-collector
 services/univention-remote-backup
 services/univention-snmp
 services/univention-snmpd
 services/univention-squid-kerberos 
 services/univention-support-info
 services/univention-tftp
 services/univention-printquota

Please consider the package migration list:

https://hutten.knut.univention.de/mediawiki/index.php/UCS-4.0_Univention_Package_Update
Comment 1 Felix Botner univentionstaff 2014-10-16 17:01:13 CEST
univention-admingrp-user-passwordreset

univention-ldap-overlay-memberof
 * removed ldap/acl/read/ips as slapd.conf now always sets rootdn

univention-bacula
 * add UCR template for postgres 9.1 pg_hba.conf.d

univention-check-printers

univention-dansguardian
 * updated config files

univention-ftp

univention-log-collector

univention-remote-backup

univention-snmp

univention-snmpd

univention-squid-kerberos 

univention-support-info

univention-tftp

univention-printquota
 * updated config files
Comment 2 Arvid Requate univentionstaff 2014-11-04 17:58:35 CET
univention-log-collector-client : Hängt ab von: python-pyopenssl ist aber nicht installierbar


Looks like python-pyopenssl was part of UCS 2.3.
Comment 3 Felix Botner univentionstaff 2014-11-05 12:55:07 CET
Changed python-pyopenssl to python-openssl.
Comment 4 Arvid Requate univentionstaff 2014-11-05 13:23:34 CET
Ok, all packages have been adjusted properly, changelog is ok too.


A quick check of univention-log-collector shows that the python-openssl stuff still works:
==========================================================================
root@master50:~# echo -e "/var/log/daemon.log\ttest1" > /etc/logcollector.d/test1
root@master50:~# /etc/init.d/univention-log-collector-client restart

root@master50:~# tail -f /var/log/univention/log-collector-client.log &
Mon Oct  6 14:22:43 2014 [L384]: using master50.ar40i1.qa as loghost
Mon Oct  6 14:22:43 2014 [L137]: SSL connection established

root@master50:~# tail -f /var/log/univention/log-collector-server.log &
Mon Oct  6 14:22:43 2014 [L165]: incoming connection: 10.200.8.50:53415
Mon Oct  6 14:22:43 2014 [L272]: Client 10.200.8.50:
Mon Oct  6 14:22:43 2014 [L286]:   added /root/log/10.200.8.50/test1/daemon.log
==========================================================================
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:55:05 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".